Skip to main content



EditDcaStrategy

DCA strategy trade edit request body schema

takeProfits object[]
All items 'portfolio' SUM must be equal to 1
To remove all take profits, please provide empty array (`[]`)

Possible values: >= 1, <= 10

  • Array [
  • pricenumber

    Trigger strict price.
    * LONG trade range: (Entry Price; +Inf)
    * SHORT trade range: (0; Entry Price)

    Example: 150.21
    portfolionumber

    Take profit portfolio. In hundredth percentage. Range: (0; 1] -> from 0% to 100%.

    Example: 1
  • ]
  • takeProfitBaseOnstring

    Take profits price averaging condition.

    Possible values: [entry_order, average_price]

    stopLossPricenumber | nullnullable

    Stop Loss trigger strict price.
    * LONG trade range: (0; Last Price)
    * SHORT trade range: (Last Price; +Inf)

    Possible values: > 0

    Example: 123.21
    stopLossBaseOnstring

    Stop loss price averaging condition.

    Possible values: [entry_order, average_price]

    stopLossMovePricenumber | nullnullable

    Move to break-even trigger strict price.
    * LONG trade range: (Entry Price; +Inf)
    * SHORT trade range: (0; Entry Price)

    Cannot be null when Execute Price provided

    Possible values: > 0

    Example: 125.67
    stopLossMoveExecutePricenumber | nullnullable

    Move to break-even strict price.
    * LONG trade range: (0; stopLossMovePrice)
    * SHORT trade range: (stopLossMovePrice; +Inf)

    Possible values: > 0

    Example: 124.5
    trailingStopActivationnumber | nullnullable

    Activation price deviation. In hundredth percentage. Range: (0; 1] -> from 0% to 100%.

    Possible values: > 0

    Example: 0.02
    trailingStopExecutenumber | nullnullable

    Execute price deviation. In hundredth percentage. Range: (0; 1] -> from 0% to 100%.

    Possible values: > 0

    Example: 0.01
    reduceOnlyboolean

    Reduce only for exits. No effect for spot strategies.

    extraOrderCountinteger | nullnullable

    Entry order + DCA orders total count.

    Possible values: >= 1 and <= 30

    Example: 3
    extraOrderDeviationnumber | nullnullable

    DCA order price deviation.

    Possible values: >= 0.001 and <= 0.2

    Example: 0.002
    extraOrderVolumeMultipliernumber | nullnullable

    DCA order volume multiplier.

    Possible values: >= 0.1 and <= 10

    Example: 1.25
    extraOrderDeviationMultipliernumber | nullnullable

    DCA order price deviation multiplier.

    Possible values: >= 1 and <= 10

    Example: 1.15



    EditDcaStrategy
    {
    "takeProfits": [
    {
    "portfolio": 0.5,
    "price": 133.33
    },
    {
    "portfolio": 0.5,
    "price": 144.44
    }
    ],
    "takeProfitBaseOn": "entry_order",
    "stopLossPrice": 123.21,
    "stopLossBaseOn": "entry_order",
    "stopLossMovePrice": 125.67,
    "stopLossMoveExecutePrice": 124.5,
    "trailingStopActivation": 0.02,
    "trailingStopExecute": 0.01,
    "reduceOnly": true,
    "extraOrderCount": 3,
    "extraOrderDeviation": 0.002,
    "extraOrderVolumeMultiplier": 1.25,
    "extraOrderDeviationMultiplier": 1.15
    }